### Method

# Foundry RunManager list_tools

#### Declaration [src]

    char**
    foundry_run_manager_list_tools (
      FoundryRunManager* self
    )

#### Description [src]

Gets the available tools that can be used to run the program.

#### Return value

Type: An array of `utf8`

A list of tools supported by the run manager such as “gdb” or “valgrind” or “sysprof”.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.